## org.eclipse.emf.query.conditions
Class DataTypeCondition<T>

    java.lang.Object
      org.eclipse.emf.query.conditions.Condition
          org.eclipse.emf.query.conditions.DataTypeCondition<T>

Type Parameters:
  `T` - the data type, of which values the condition tests

Direct Known Subclasses:
  BooleanCondition, NumberCondition, StringCondition

    public class DataTypeCondition<T>

extends Condition

A condition on data-type (primitive) values.

Since:
  1.2

Field Summary
`protected IDataTypeAdapter<? extends T>` `adapter`
`protected T` `value`

Fields inherited from class org.eclipse.emf.query.conditions.Condition
`FALSE, TRUE`

Constructor Summary
`DataTypeCondition(T value)`
`DataTypeCondition(T value, IDataTypeAdapter<? extends T> adapter)`

Method Summary
`boolean` `isSatisfied(Object object)` This operation is the evaluation operation of this `Condition` in regard to the argument Object.

Methods inherited from class org.eclipse.emf.query.conditions.Condition
`AND, EQUIVALENT, IMPLIES, OR, XOR`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### adapter

    protected final IDataTypeAdapter<? extends T> adapter

### value

    protected final T value

Constructor Detail

### DataTypeCondition

    public DataTypeCondition(T value,
                             IDataTypeAdapter<? extends T> adapter)

### DataTypeCondition

    public DataTypeCondition(T value)

Method Detail

### isSatisfied

    public boolean isSatisfied(Object object)

  Description copied from class: `Condition`
  This operation is the evaluation operation of this `Condition` in regard to the argument Object. In other words, the operation answers whether the argument Object satisfied this `Condition` or not.

  Specified by:
    `isSatisfied` in class `Condition`
  Parameters:
    `object` - an Object to check if it satisfies this `Condition`
  Returns:
    `true` if the argument Object satisfies this `Condition`,`false` otherwise.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.